# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/seesaw/version'

Gem::Specification.new do |gem|
  gem.name          = 'omniauth-seesaw'
  gem.version       = Omniauth::Seesaw::VERSION
  gem.authors       = ['Sam Soffes', 'Aaron Gotwalt']
  gem.email         = ['sam@soff.es', 'gotwalt@gmail.com']
  gem.description   = 'Seesaw OAuth2 Strategy for OmniAuth'
  gem.summary       = 'Seesaw OAuth2 Strategy for OmniAuth'
  gem.homepage      = 'https://github.com/seesawco/omniauth-seesaw'
  gem.license       = 'MIT'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.required_ruby_version = '>= 1.8.7'
  gem.add_runtime_dependency 'omniauth-oauth2', '~> 1.1'
end
